Bug Hunting Session
Bug 113366 - Contour editor does not open
Summary: Contour editor does not open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-10-22 22:08 UTC by Regina Henschel
Modified: 2017-11-13 15:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Image with contour (37.99 KB, application/vnd.oasis.opendocument.text)
2017-10-22 22:08 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-10-22 22:08:32 UTC
Created attachment 137216 [details]
Image with contour

Open attached document. Click on image. Open sidebar properties and click on button "Edit contour". The contour editor does not open.

It was OK in Version: 6.0.0.0.alpha0+
Build ID: a4a182e24d2e3e954831a0a7c70a7299f28950cb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-18_04:47:29
Locale: de-DE (de_DE); Calc: group

It is broken in Version: 6.0.0.0.alpha1+
Build ID: dc2d133e7953f08f73ef9cd0b40786764b0e2035
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-22_01:16:45
Locale: de-DE (de_DE); Calc: group
Comment 1 Xisco Faulí 2017-10-22 22:33:35 UTC
Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 0c46b3a9a384d5b70a708c3e9459a790dd815c63
CPU threads: 1; OS: Windows 6.1; UI render: default; 
Locale: fr-BE (es_ES); Calc: group

but not in

Version: 6.0.0.0.alpha1+
Build ID: 118a0a3734a3f794c67a9d7d4376d8ed78a96fee
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

WIN only
Comment 2 Aron Budea 2017-11-11 07:47:36 UTC
Bibisect using repo bibisect-win32-6.0 points me to the commit referenced below. Adding Cc: to Caolán McNamara, please take a look sometimes.

Note that I had to clear my profile at each step, otherwise when having a profile from a good state the new window opens fine. It might be worth retesting with an empty profile in Linux.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=15869ea2dcd8a6b33044d08eef6fcaf8ca54579d
author		Caolán McNamara <caolanm@redhat.com>	2017-10-17 14:14:30 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-10-18 08:20:57 (GMT)

presumably we don't need to recalculate on subsequenct 'show' now
Comment 3 Caolán McNamara 2017-11-13 10:49:40 UTC
I better put it back then I guess
Comment 4 Commit Notification 2017-11-13 14:58:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f2e2f683778a508bfc67e37ae2c01102cca7a67

Resolves: tdf#113366 Contour editor does not open

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.